'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var lezerD = require('lezer-d');
var language = require('@codemirror/language');

const dLanguage = language.LRLanguage.define({
    parser: lezerD.parser.configure({
        props: [
            language.indentNodeProp.add({
                LabeledStatement: language.flatIndent,
                IfExpression: language.continuedIndent({ except: /^\s*({|else\b)/ }),
                TryStatement: language.continuedIndent({ except: /^\s*({|catch|finally)\b/ })
            }),
            language.foldNodeProp.add({
                Application: language.foldInside,
                BlockStatement: language.foldInside
            })
        ]
    }),
    languageData: {
        commentTokens: { line: "//", block: { open: "/*", close: "*/" }, nesting: { open: "/+", close: "+/" } },
        indentOnInput: /^\s*(\{|case |default:|finally )$/
    }
});
function d() {
    return new language.LanguageSupport(dLanguage);
}

exports.d = d;
exports.dLanguage = dLanguage;
